Re: [Zope-dev] Upcoming Zope 2.9-2.11 releases

2009-04-28 Thread Christophe Tronche
Ok, and sorry for being so poorly informed. We gave a try to ubuntu 9 last week, and we can't work with it: our zope application uses several other packages that are no longer supported (nor installed) with python 2.4. So this is a sensitive subject. Congratulations to all for all this

Re: [Zope-dev] Proposal: set __parent__ and __name__ in Zope 2.12 OFS

2009-04-28 Thread Chris Withers
Lennart Regebro wrote: Or, we could release 2.12 soon, and then start working on 2.13, a version that explicitly is for people who want to move towards the Zope Toolkit, and may not be completely backward compatible. This would be my vote. Chris -- Simplistix - Content Management, Zope

Re: [Zope-dev] Upcoming Zope 2.9-2.11 releases

2009-04-28 Thread Andreas Jung
On 28.04.2009 9:13 Uhr, Christophe Tronche wrote: Ok, and sorry for being so poorly informed. We gave a try to ubuntu 9 last week, and we can't work with it: our zope application uses several other packages that are no longer supported (nor installed) with python 2.4. So this is a sensitive

Re: [Zope-dev] Proposal: set __parent__ and __name__ in Zope 2.12 OFS

2009-04-28 Thread Hanno Schlichting
Chris Withers wrote: Lennart Regebro wrote: Or, we could release 2.12 soon, and then start working on 2.13, a version that explicitly is for people who want to move towards the Zope Toolkit, and may not be completely backward compatible. This would be my vote. Right now the story for

Re: [Zope-dev] [Checkins] SVN: zope.publisher/trunk/ Added some BBB code to setDefaultSkin

2009-04-28 Thread Hanno Schlichting
Roger Ineichen wrote: Betreff: Re: [Zope-dev] [Checkins] SVN: zope.publisher/trunk/ Added some BBB code to setDefaultSkin I don't mind if the skinnable story gets less intermingled with the request story in a new zope.skinnable package and breaks some backwards compatibility at that

Re: [Zope-dev] Release management proposal

2009-04-28 Thread Wichert Akkerman
Previously Martijn Faassen wrote: Hey Jim, others, Jim Fulton wrote: [__file__ in setup.py] Stop talking about this. :) This is almost certainly a buildout bug that I'll fix. Just making sure we have some clear conclusions in this thread... Do we have a buildout bug id we can

Re: [Zope-dev] Proposal: set __parent__ and __name__ in Zope 2.12 OFS

2009-04-28 Thread Andreas Jung
My 2 cents: Zope 2.12 will go into beta state as soon as ZODB 3.9.0 goes beta. The underlying Zope 3 packages are stable and good enough right - I don't care much right now about having an official Zope Toolkit Release 1.0. If this will happen soon: fine - otherwise we will stay with the current

Re: [Zope-dev] Proposal: set __parent__ and __name__ in Zope 2.12 OFS

2009-04-28 Thread Laurence Rowe
2009/4/27 Chris McDonough chr...@plope.com: On 4/27/09 3:27 PM, Laurence Rowe wrote: Martin Aspeli wrote: Laurence Rowe wrote: Martin Aspeli wrote: Hi, First - a quick question: can we treat __name__ and id/getId()/_setId() as the same, always? OFS.SimpleItem has some support for

[Zope-dev] Zope Tests: 8 OK

2009-04-28 Thread Zope Tests Summarizer
Summary of messages to the zope-tests list. Period Mon Apr 27 12:00:00 2009 UTC to Tue Apr 28 12:00:00 2009 UTC. There were 8 messages: 8 from Zope Tests. Tests passed OK --- Subject: OK : Zope-2.10 Python-2.4.6 : Linux From: Zope Tests Date: Mon Apr 27 20:50:44 EDT 2009 URL:

Re: [Zope-dev] Proposal: set __parent__ and __name__ in Zope 2.12 OFS

2009-04-28 Thread Lennart Regebro
On Tue, Apr 28, 2009 at 09:58, Hanno Schlichting hanno...@hannosch.eu wrote: 1. The stable option also looses us support for newer Python versions. It is only very recently that packages got full deprecation warning less support for Python 2.5 and 2.6. With Zope 3.4 we are stuck with Python

Re: [Zope-dev] Proposal: set __parent__ and __name__ in Zope 2.12 OFS

2009-04-28 Thread Andreas Jung
On 28.04.2009 15:02 Uhr, Lennart Regebro wrote: On Tue, Apr 28, 2009 at 09:58, Hanno Schlichting hanno...@hannosch.eu wrote: 1. The stable option also looses us support for newer Python versions. It is only very recently that packages got full deprecation warning less support for Python

[Zope-dev] [Feature Request] add 'extensions' option to z3c.recipe.sphinxdoc

2009-04-28 Thread markus korn
Hi, I'm using z3c.recipe.sphinxdoc to generate documentation for a project. Sphinx has some very useful extensions like 'sphinx.ext.autodoc' and 'sphinx.ext.doctest' and I would like to use both extensions in my 'docs' part. Especially the autodoc function is useful when creating API docs. I would

Re: [Zope-dev] [Feature Request] add 'extensions' option to z3c.recipe.sphinxdoc

2009-04-28 Thread markus korn
I'm not familiar with your process of implementing new features, but the attached patch adds such option to z3c.recipe.sphinxdoc, comments welcome. Markus Index: CHANGES.txt === --- CHANGES.txt (Revision 99557) +++ CHANGES.txt

Re: [Zope-dev] CMF Tests: 2 OK, 5 Unknown

2009-04-28 Thread Andreas Jung
On 28.04.2009 15:25 Uhr, Tres Seaver wrote: ml These tests are breaking because a much newer version of zope.component (3.7.0) is being installed than the on called out in the Zope 2 index[1] (3.5.1). That version is older than the one in the Zope 2 versions.cfg[1] (3.6.0). [1]

Re: [Zope-dev] dropping Python 2.4 support in the Zope Toolkit?

2009-04-28 Thread Martijn Faassen
Hey, In order to get to a conclusion: I haven't seen convincing arguments yet *not* to drop the Python 2.4 for new releases of the Zope Toolkit libraries. I'd like to phrase the debate in those terms instead of the reverse, because ensuring Python 2.4 compatibility is an additional burden for

Re: [Zope-dev] [Feature Request] add 'extensions' option to z3c.recipe.sphinxdoc

2009-04-28 Thread Gary Poster
Hi Markus. Stephan Richter and Paul Cardune are the people I would expect to manage this package. I expect they'll get back to you soonish. On freenode #zope3-dev they are srichter and pcardune, IIRC. The feature and the diff look reasonable to me. Normally we want tests in our diffs,

Re: [Zope-dev] Proposal: set __parent__ and __name__ in Zope 2.12 OFS

2009-04-28 Thread Tres Seaver
-BEGIN PGP SIGNED MESSAGE- Hash: SHA1 Hanno Schlichting wrote: Chris Withers wrote: Lennart Regebro wrote: Or, we could release 2.12 soon, and then start working on 2.13, a version that explicitly is for people who want to move towards the Zope Toolkit, and may not be completely

Re: [Zope-dev] dropping Python 2.4 support in the Zope Toolkit?

2009-04-28 Thread Tres Seaver
-BEGIN PGP SIGNED MESSAGE- Hash: SHA1 Martijn Faassen wrote: Hey, In order to get to a conclusion: I haven't seen convincing arguments yet *not* to drop the Python 2.4 for new releases of the Zope Toolkit libraries. I'd like to phrase the debate in those terms instead of the

Re: [Zope-dev] CMF Tests: 2 OK, 5 Unknown

2009-04-28 Thread Tres Seaver
-BEGIN PGP SIGNED MESSAGE- Hash: SHA1 Andreas Jung wrote: On 28.04.2009 15:25 Uhr, Tres Seaver wrote: ml These tests are breaking because a much newer version of zope.component (3.7.0) is being installed than the on called out in the Zope 2 index[1] (3.5.1). That version is older

Re: [Zope-dev] CMF Tests: 2 OK, 5 Unknown

2009-04-28 Thread Andreas Jung
On Tue, Apr 28, 2009 at 16:51, Tres Seaver tsea...@palladion.com wrote: [1] http://download.zope.org/Zope2/index/2.12.0a4/zope.component/ [2] http://svn.zope.org/Zope/trunk/versions.cfg?rev=99525view=auto Hanno updated versions.cfg two days ago. OK, so the index isn't being

Re: [Zope-dev] CMF Tests: 2 OK, 5 Unknown

2009-04-28 Thread Tres Seaver
-BEGIN PGP SIGNED MESSAGE- Hash: SHA1 Andreas Jung wrote: On Tue, Apr 28, 2009 at 16:51, Tres Seaver tsea...@palladion.com wrote: [1] http://download.zope.org/Zope2/index/2.12.0a4/zope.component/ [2] http://svn.zope.org/Zope/trunk/versions.cfg?rev=99525view=auto Hanno updated

Re: [Zope-dev] CMF Tests: 2 OK, 5 Unknown

2009-04-28 Thread Andreas Jung
On 28.04.2009 17:41 Uhr, Tres Seaver wrote: Andreas Jung wrote: On Tue, Apr 28, 2009 at 16:51, Tres Seaver tsea...@palladion.com wrote: [1] http://download.zope.org/Zope2/index/2.12.0a4/zope.component/ [2] http://svn.zope.org/Zope/trunk/versions.cfg?rev=99525view=auto Hanno

[Zope-dev] Publishing buildout [versions] blocks for releases

2009-04-28 Thread Martin Aspeli
Hi folks, I've written a small Google App Engine application to help manage and publish buildout configuration that provide a known good [versions] block. I'm not sure this approach is good, and the application is not well tested, but it may be of interest to some people here.

Re: [Zope-dev] Defining Zope 3.

2009-04-28 Thread Christian Theune
On Sun, 2009-04-19 at 16:32 +0200, Lennart Regebro wrote: I'm getting really tired of this discussion, and also that nobody comment either positively or negatively on what I write, but just seems to ignore it, which is frustrating, as it makes me think I'm completely right but nobody gets it.

Re: [Zope-dev] SVN: zope.traversing/trunk/ zcml now only depends on zope.component meta, not zope.app.component

2009-04-28 Thread Marius Gedminas
On Thu, Apr 23, 2009 at 08:01:36AM +0200, Christian Theune wrote: On Fri, 2009-04-03 at 01:37 +0300, Marius Gedminas wrote: Incidentally, I've a long-standing wish to be able to register browser views in ZCML using the adapter directive. class MyFineView(BrowserPage):